package dev.fyloz.trial.colorrecipesexplorer.core.utils;

import org.springframework.core.io.ResourceLoader;
import org.springframework.util.FileCopyUtils;

import java.io.IOException;
import java.io.InputStream;
import java.nio.charset.StandardCharsets;

public class FileUtils {

    public static String readClasspathFile(ResourceLoader loader, String path) {
        try (InputStream stream = loader.getResource(path).getInputStream()) {
            byte[] data = FileCopyUtils.copyToByteArray(stream);
            return new String(data, StandardCharsets.UTF_8);
        } catch (IOException e) {
            e.printStackTrace();
            return null;
        }
    }

}
